Index: frontend/src/Components/UserPanel/ActiveHotelReservations.js
===================================================================
--- frontend/src/Components/UserPanel/ActiveHotelReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/ActiveHotelReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,20 @@
+import HotelReservationListing from "./HotelReservationListing";
+import React from "react";
+import useGet from "../Hooks/useGet";
+
+const ActiveHotelReservations = () => {
+
+    const {data, isLoading, setData, getData, setChanged} = useGet('/hotel/reservations/user/1')
+
+    return (
+        <>
+            {!isLoading && data.map((res) => {
+                return (<HotelReservationListing data={res} type={'hotel'}></HotelReservationListing>)
+            })}
+
+            {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
+        </>
+    )
+}
+
+export default ActiveHotelReservations;
Index: frontend/src/Components/UserPanel/ActiveRestaurantReservations.js
===================================================================
--- frontend/src/Components/UserPanel/ActiveRestaurantReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/ActiveRestaurantReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,20 @@
+import HotelReservationListing from "./HotelReservationListing";
+import React from "react";
+import useGet from "../Hooks/useGet";
+
+const ActiveRestaurantReservations = () => {
+
+    const {data, isLoading, setData, getData, setChanged} = useGet('/restaurant/reservations/user/1')
+
+    return (
+        <>
+            {!isLoading && data.map((res) => {
+                return (<HotelReservationListing data={res} type={'restaurant'}></HotelReservationListing>)
+            })}
+
+            {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
+        </>
+    )
+}
+
+export default ActiveRestaurantReservations;
Index: frontend/src/Components/UserPanel/ActiveTransportReservations.js
===================================================================
--- frontend/src/Components/UserPanel/ActiveTransportReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/ActiveTransportReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,20 @@
+import HotelReservationListing from "./HotelReservationListing";
+import React from "react";
+import useGet from "../Hooks/useGet";
+
+const ActiveTransportReservations = () => {
+
+    const {data, isLoading, setData, getData, setChanged} = useGet('/transport/reservations/user/1')
+
+    return (
+        <>
+            {!isLoading && data.map((res) => {
+                return (<HotelReservationListing data={res} type={'transport'}></HotelReservationListing>)
+            })}
+
+            {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
+        </>
+    )
+}
+
+export default ActiveTransportReservations;
Index: frontend/src/Components/UserPanel/HotelReservationListing.js
===================================================================
--- frontend/src/Components/UserPanel/HotelReservationListing.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/HotelReservationListing.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,139 @@
+import React from "react";
+import {useState} from "react";
+import {Col, Container, Row, Image, Modal, Button, Form} from "react-bootstrap";
+import LoginForm from "../Login/LoginForm";
+import ChangePasswordForm from "../Forms/ChangePasswordForm";
+import {FaCalendarAlt} from "react-icons/fa";
+import {MdBalcony, MdLocationOn} from "react-icons/md";
+import AddAvailability from "../Resources/AddAvailability";
+import {LuFan} from "react-icons/lu";
+import {TbToolsKitchen2} from "react-icons/tb";
+import useGet from "../Hooks/useGet";
+import data from "bootstrap/js/src/dom/data";
+import {AiOutlinePlusCircle} from "react-icons/ai";
+import {MdOutlineRateReview} from "react-icons/md";
+import useFormData from "../Hooks/useFormData";
+import useCreate from "../Hooks/useCreate";
+import HotelReservationModal from "./HotelReservationModal";
+import ReviewModal from "./ReviewModal";
+
+
+const HotelReservationListing = (props) => {
+
+    const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
+    // const name = props.type == "hotel" ? props.data.hotelName : props.type == "restaurant" ? props.data.restaurantName : props.data.transportName
+    // const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.restaurantID : props.data.transportID
+
+    console.log(props.data)
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = props.type === 'hotel' ? {
+            year: 'numeric',
+            month: '2-digit',
+            day: '2-digit',
+            hour12: false,
+        } : {
+            year: 'numeric',
+            month: '2-digit',
+            day: '2-digit',
+            hour: '2-digit',
+            minute: '2-digit',
+            hour12: false,
+        };
+
+        return inputDate.toLocaleString('de-DE', options);
+
+    }
+
+    console.log(props)
+
+    const [showReview, setShowReview] = useState(false);
+
+    const handleCloseReview = () => setShowReview(false);
+    const handleShowReview = () => setShowReview(true);
+
+    const [show, setShow] = useState(false);
+
+    const handleClose = () => setShow(false);
+    const handleShow = () => setShow(true);
+
+    return (<>
+        <Container onClick={(e) => {
+            if (e.target.id !== 'icon') {
+                handleShow();
+            }
+        }} className="py-3 px-1 my-4"
+                   style={{
+                       border: "4px solid #159895",
+                       borderRadius: "1em",
+                       boxShadow: "0 3px 5px #159895",
+                       maxWidth: "90%",
+                   }}>
+            <Row>
+                <Col className="d-flex justify-content-center">
+                    {props.type !== 'transport' && <Image
+                        src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
+                        style={{
+                            height: "8em",
+                            borderRadius: "1em",
+                            boxShadow: "0 4px 20px lightblue",
+                            maxWidth: "100%",
+                        }}
+                    ></Image>}
+                    {props.type === 'transport' && <Image
+                        src="https://samsung.teveotecno.com.ar/wp-content/uploads/2022/07/how-to-create-and-draw-custom-routes-with-google-maps_62d4ad146140d.jpeg"
+                        style={{
+                            height: "8em",
+                            borderRadius: "1em",
+                            boxShadow: "0 4px 20px lightblue",
+                            maxWidth: "80%",
+                        }}
+                    ></Image>}
+                </Col>
+                <Col className={'d-flex flex-column justify-content-center'}>
+                    {props.type === "hotel" && (<>
+                        <h2 style={{textAlign: "left"}}>{props.data.hotelName}</h2>
+                        <h5 style={{textAlign: "left"}}>{props.data.hotelLocation}</h5>
+                        <h5 style={{textAlign: "left"}}>{dateFormatter(props.data.dateFrom) + ' - ' + dateFormatter(props.data.dateTo)}</h5>
+                    </>)}
+                    {props.type === "restaurant" && (<>
+                        <h2 style={{textAlign: "left"}}>{props.data.restaurantName}</h2>
+                        <h5 style={{textAlign: "left"}}>{props.data.restaurantLocation}</h5>
+                        <h5 style={{textAlign: "left"}}>{dateFormatter(props.data.dateFrom) + ' - ' + dateFormatter(props.data.dateTo)}</h5>
+                    </>)}
+                    {props.type === "transport" && (<>
+                        <h5 style={{textAlign: "left"}}>{props.data.carBrand + ' ' + props.data.carType}</h5>
+                        <h5 style={{textAlign: "left"}}>{props.data.transportRoute.from + ' - ' + props.data.transportRoute.to}</h5>
+                        <h5 style={{textAlign: "left"}}>{dateFormatter(props.data.transportRoute.departure) + ' - ' + dateFormatter(props.data.transportRoute.arrival)}</h5>
+                        <h5 style={{textAlign: "left"}}>{props.data.owner.name + ' ' + props.data.owner.surname}</h5>
+                    </>)}
+                </Col>
+                {props.type === 'transport' &&
+                    <Col className="d-flex flex-column justify-content-center align-content-center">
+                        <h3>Вкупна цена: <br></br>{props.data.transportRoute.price}$</h3>
+                    </Col>}
+                {(props.past) && <Col className="d-flex flex-column justify-content-center align-content-center">
+                    {!props.data.reviewed && <Container id={'ocn'} onClick={(e) => {
+                        console.log(e.target)
+                        if (e.target.id === 'icon') {
+                            handleShowReview();
+                        }
+                    }}>
+                        <h5 id={'icon'}>Додади<br/>оценка</h5>
+                        <div className="d-flex justify-content-center align-content-center">
+                            <MdOutlineRateReview size={50} color="#159895"/></div>
+
+                    </Container>}
+                    {props.data.reviewed && <Container>
+                        <h5>Веќе имате <br/>оставено оценка<br/>за оваа резервација</h5>
+                    </Container>}
+                </Col>}
+            </Row>
+        </Container>
+        {props.type === 'hotel' && <HotelReservationModal show={show} handleClose={handleClose} data={props.data}/>}
+        <ReviewModal type={props.type} showReview={showReview} handleCloseReview={handleCloseReview} data={props.data}/>
+    </>)
+}
+
+export default HotelReservationListing;
Index: frontend/src/Components/UserPanel/HotelReservationModal.js
===================================================================
--- frontend/src/Components/UserPanel/HotelReservationModal.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/HotelReservationModal.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,198 @@
+import {Button, Col, Container, Image, Modal, Row} from "react-bootstrap";
+import {FaCalendarAlt} from "react-icons/fa";
+import {MdBalcony, MdLocationOn} from "react-icons/md";
+import {LuFan} from "react-icons/lu";
+import {TbToolsKitchen2} from "react-icons/tb";
+import React from "react";
+
+const HotelReservationModal = (props) => {
+
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: 'numeric',
+            month: '2-digit',
+            day: '2-digit',
+            hour12: false,
+        };
+
+        return inputDate.toLocaleString('de-DE', options);
+
+    }
+
+    return (
+        <>
+            <Modal size={"xl"} show={props.show} onHide={props.handleClose}>
+                <Modal.Header closeButton>
+                    <Modal.Title>Детали за резервација</Modal.Title>
+                </Modal.Header>
+                <Modal.Body>
+                    <Container className="py-3 px-1 my-4" style={{maxWidth: "90%"}}>
+                        <Row className={'mb-3'}>
+                            <Col className={'px-4'}>
+                                <h3>{props.data.hotelName}</h3>
+                            </Col>
+                            <Col>
+
+                            </Col>
+                        </Row>
+                        <Row className={'mb-3'}>
+                            <Col className={'d-flex flex-column justify-content-between'}>
+                                <Row>
+                                    <Col md={'auto'}
+                                         className={'d-flex flex-column justify-content-center align-items-center ms-3'}>
+                                        <FaCalendarAlt size={'2em'}/>
+                                    </Col>
+                                    <Col md={'auto'} style={{borderRight: '1px solid black'}}>
+                                        <Row className={'w-75'}>
+                                            <h6>Пријавување</h6>
+                                        </Row>
+                                        <Row>
+                                            <h5>{dateFormatter(props.data.dateFrom)}</h5>
+                                        </Row>
+
+                                    </Col>
+                                    <Col>
+                                        <Row>
+                                            <h6>Одјавување</h6>
+                                        </Row>
+                                        <Row>
+                                            <h5>{dateFormatter(props.data.dateTo)}</h5>
+                                        </Row>
+                                    </Col>
+                                    <Col md={7}>
+
+                                    </Col>
+                                </Row>
+                                <Row>
+                                    <Col md={'auto'}
+                                         className={'d-flex flex-column justify-content-center align-items-center ms-3'}>
+                                        <MdLocationOn size={'2em'}/>
+                                    </Col>
+                                    <Col md={'auto'}>
+                                        <Row className={'w-75'}>
+                                            <h6>Адреса</h6>
+                                        </Row>
+                                        <Row>
+                                            <h5>ул. Македонска бр. 10</h5>
+                                        </Row>
+                                    </Col>
+                                    <Col>
+                                    </Col>
+
+                                </Row>
+                            </Col>
+                            <Col className={'d-flex flex-column align-items-center'}>
+                                <Image
+                                    src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
+                                    style={{
+                                        height: "10em",
+                                        borderRadius: "1em",
+                                        boxShadow: "0 4px 20px lightblue",
+                                        maxWidth: "100%",
+                                    }}
+                                ></Image>
+                            </Col>
+
+                        </Row>
+                    </Container>
+                    <Container>
+                        <Row className={'mb-3'}>
+                            <h4>Детали за собата</h4>
+                        </Row>
+                        <Row>
+                            <Col className="d-flex justify-content-center">
+                                <Image
+                                    src="https://img.freepik.com/free-photo/luxury-classic-modern-bedroom-suite-hotel_105762-1787.jpg?w=200"
+                                    style={{
+                                        height: "10em",
+                                        borderRadius: "1em",
+                                        boxShadow: "0 4px 20px lightblue",
+                                        maxWidth: "100%",
+                                    }}
+                                ></Image>
+                            </Col>
+                            <Col className="d-flex flex-column justify-content-center" style={{textAlign: "left"}}>
+                                <Row><h4>{props.data.hotelRoom.hotelRoomName}</h4></Row>
+                                <Row>
+                                    {props.data.hotelRoom.airConditioning && <Col className="col-auto">
+                                        <Container className="py-1 px-1">
+                                            <Row className="d-flex flex-row">
+                                                <Col className="m-0 w-25 py-1">
+                                                    <LuFan
+                                                        className="my-0 "
+                                                        color="#159895"
+                                                        size={40}
+                                                    ></LuFan>
+                                                </Col>
+                                                <Col className="w-75 d-flex p-0">
+                                                    <h6 style={{fontSize: "14px"}} className="m-auto">
+                                                        Климатизирано
+                                                    </h6>
+                                                </Col>
+                                            </Row>
+                                        </Container>
+                                    </Col>}
+                                    {props.data.hotelRoom.kitchenAvailable && <Col className="col-auto">
+                                        <Container
+                                            className="py-1 px-1">
+                                            <Row className="d-flex flex-row">
+                                                <Col className="m-0 w-25 py-1">
+                                                    <TbToolsKitchen2 className="my-0 " color="#159895"
+                                                                     size={40}></TbToolsKitchen2>
+                                                </Col>
+                                                <Col className="w-75 d-flex p-0">
+                                                    <h6 style={{fontSize: "14px"}} className="m-auto">Кујна</h6>
+                                                </Col>
+                                            </Row>
+                                        </Container>
+                                    </Col>}
+                                    {props.data.hotelRoom.balcony && <Col className="col-auto">
+                                        <Container
+                                            className="py-1 px-1">
+                                            <Row className="d-flex flex-row">
+                                                <Col className="m-0 w-25 py-1">
+                                                    <MdBalcony className="my-0 " color="#159895" size={40}></MdBalcony>
+                                                </Col>
+                                                <Col className="w-75 d-flex p-0">
+                                                    <h6 style={{fontSize: "14px"}} className="m-auto">Тераса</h6>
+                                                </Col>
+                                            </Row>
+                                        </Container>
+                                    </Col>}
+                                </Row>
+                            </Col>
+                        </Row>
+                    </Container>
+                    <Container className={'border mt-3 w-75 py-3 rounded-3'}>
+                        <Row className={'mb-3'}>
+                            <Col>
+                                <h5>4 Ноќевања</h5>
+                            </Col>
+                            <Col>
+                                <h5 className={'text-end'}>32$</h5>
+                            </Col>
+                        </Row>
+                        <Row>
+                            <Col>
+                                <h5>Вкупно</h5>
+                            </Col>
+                            <Col>
+                                <h4 className={'text-end'}>128$</h4>
+                            </Col>
+                        </Row>
+                    </Container>
+                </Modal.Body>
+                <Modal.Footer>
+                    <Button variant="secondary" onClick={props.handleClose}>
+                        Затвори
+                    </Button>
+                </Modal.Footer>
+            </Modal>
+
+        </>
+    )
+}
+
+export default HotelReservationModal;
Index: frontend/src/Components/UserPanel/PastHotelReservations.js
===================================================================
--- frontend/src/Components/UserPanel/PastHotelReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/PastHotelReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,19 @@
+import HotelReservationListing from "./HotelReservationListing";
+import React from "react";
+import useGet from "../Hooks/useGet";
+
+const PastHotelReservations = () => {
+
+    const {data, isLoading, setData, getData, setChanged} = useGet('/hotel/reservations/user/1/past')
+
+    return (
+        <>
+            {!isLoading && data.map((res) => {
+                return (<HotelReservationListing past={true} data={res} type={'hotel'}></HotelReservationListing>)
+            })}
+            {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
+        </>
+    )
+}
+
+export default PastHotelReservations;
Index: frontend/src/Components/UserPanel/PastRestaurantReservations.js
===================================================================
--- frontend/src/Components/UserPanel/PastRestaurantReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/PastRestaurantReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,20 @@
+import HotelReservationListing from "./HotelReservationListing";
+import React from "react";
+import useGet from "../Hooks/useGet";
+
+const PastRestaurantReservations = () => {
+
+    const {data, isLoading, setData, getData, setChanged} = useGet('/restaurant/reservations/user/1/past')
+    !isLoading && console.log(data)
+
+    return (
+        <>
+            {!isLoading && data.map((res) => {
+                return (<HotelReservationListing past={true} data={res} type={'restaurant'}></HotelReservationListing>)
+            })}
+            {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
+        </>
+    )
+}
+
+export default PastRestaurantReservations;
Index: frontend/src/Components/UserPanel/PastTransportReservations.js
===================================================================
--- frontend/src/Components/UserPanel/PastTransportReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/PastTransportReservations.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,20 @@
+import HotelReservationListing from "./HotelReservationListing";
+import React from "react";
+import useGet from "../Hooks/useGet";
+
+const PastTransportReservations = () => {
+
+    const {data, isLoading, setData, getData, setChanged} = useGet('/transport/reservations/user/1/past')
+
+    return (
+        <>
+            {!isLoading && data.map((res) => {
+                return (<HotelReservationListing past={true} data={res} type={'transport'}></HotelReservationListing>)
+            })}
+
+            {(!isLoading && data.length === 0) && <h3 className={'my-5'}>Нема податоци за одбраните критериуми!</h3>}
+        </>
+    )
+}
+
+export default PastTransportReservations;
Index: frontend/src/Components/UserPanel/ReviewModal.js
===================================================================
--- frontend/src/Components/UserPanel/ReviewModal.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/ReviewModal.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,106 @@
+import {Button, Form, Modal, Row} from "react-bootstrap";
+import React from "react";
+import useFormData from "../Hooks/useFormData";
+import useCreate from "../Hooks/useCreate";
+
+const ReviewModal = (props) => {
+    const dummy = {
+        tite: "",
+        numStars: "",
+        description: "",
+    }
+
+    const {createEntity} = useCreate();
+
+    const {formData, setFormData, onFormChange} = useFormData(dummy)
+
+    return (
+        <>
+            <Modal show={props.showReview} onHide={props.handleCloseReview}>
+                <Modal.Header closeButton>
+                    <Modal.Title>Внесување оценка по резервација</Modal.Title>
+                </Modal.Header>
+                <Modal.Body>
+                    <Form>
+                        <Row>
+                            <Form.Floating className="mb-3">
+                                <Form.Control
+                                    size="md"
+                                    type="text"
+                                    placeholder="Каде ќе патувате?:"
+                                    id="title"
+                                    name="title"
+                                    onChange={onFormChange}
+                                    value={formData.title}
+                                ></Form.Control>
+                                <label style={{left: '10px'}} htmlFor="location">Наслов:</label>
+                            </Form.Floating>
+                        </Row>
+                        <Row>
+                            <Form.Floating className="mb-3">
+                                <Form.Control
+                                    size="md"
+                                    type="number"
+                                    max={5}
+                                    min={1}
+                                    placeholder="Каде ќе патувате?:"
+                                    id="numStars"
+                                    name="numStars"
+                                    onChange={onFormChange}
+                                    value={formData.numStars}
+                                ></Form.Control>
+                                <label style={{left: '10px'}} htmlFor="location">Број на ѕвезди:</label>
+                            </Form.Floating>
+                        </Row>
+
+                        <Row>
+                            <Form.Floating className="mb-3">
+                                <Form.Control
+                                    size="md"
+                                    as="textarea"
+                                    placeholder="Каде ќе патувате?:"
+                                    id="description"
+                                    name="description"
+                                    onChange={onFormChange}
+                                    value={formData.description}
+                                ></Form.Control>
+                                <label style={{left: '10px'}} htmlFor="location">Опис:</label>
+                            </Form.Floating>
+                        </Row>
+
+                    </Form>
+                </Modal.Body>
+                <Modal.Footer>
+                    <Button variant="secondary" onClick={props.handleClose}>
+                        Затвори
+                    </Button>
+                    <Button variant="primary" onClick={() => {
+                        // console.log(props.data.hotelId)
+                        const dataToPost = props.type === 'hotel' ? {
+                                ...formData,
+                                hotelId: props.data.hotelId,
+                                userId: 1
+                            } :
+                            props.type === 'restaurant' ? {
+                                    ...formData,
+                                    restaurantId: props.data.restaurantId,
+                                    userId: 1
+                                } : {
+                                ...formData,
+                                transportId: props.data.transportId,
+                                userId: 1
+                            }
+                                createEntity('/review/add', dataToPost)
+                        setFormData(dummy)
+                        props.handleCloseReview()
+                    }
+                    }>
+                        Зачувај
+                    </Button>
+                </Modal.Footer>
+            </Modal>
+        </>
+    )
+}
+
+export default ReviewModal;
Index: frontend/src/Components/UserPanel/TypeSelectionTab.js
===================================================================
--- frontend/src/Components/UserPanel/TypeSelectionTab.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/UserPanel/TypeSelectionTab.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,115 @@
+import React, {useState} from "react";
+import {Container, Nav, Tabs} from "react-bootstrap";
+import {Tab} from "react-bootstrap";
+import {FaHotel, FaTaxi} from 'react-icons/fa'
+import {MdRestaurant} from "react-icons/md"
+import HotelReservationListing from "./HotelReservationListing";
+import UnapprovedBusinessesTable from "../AdminPanel/UnapprovedBusinessesTable";
+import UnapprovedProfilesTable from "../AdminPanel/UnapprovedProfilesTable";
+import AllProfilesTable from "../AdminPanel/AllProfilesTable";
+import useGet from "../Hooks/useGet";
+import ActiveHotelReservations from "./ActiveHotelReservations";
+import PastHotelReservations from "./PastHotelReservations";
+import ActiveRestaurantReservations from "./ActiveRestaurantReservations";
+import PastRestaurantReservations from "./PastRestaurantReservations";
+import ActiveTransportReservations from "./ActiveTransportReservations";
+import PastTransportReservations from "./PastTransportReservations";
+
+function TypeSelectionTab() {
+    const [activeTab, setActiveTab] = useState("/hotel");
+    const handleSelect = (eventKey) => {
+        setActiveTab(eventKey);
+    };
+
+
+    return (
+        <Container className='rounded-5'>
+            <Tab.Container
+                activeKey={activeTab}
+                onSelect={handleSelect}
+                className="bg-dark rounded-5"
+            >
+                <Nav
+                    fill
+                    variant="tabs"
+                    className="bg-body rounded-top-5"
+                    activeKey="/hotel"
+                    id="tab_item"
+                >
+                    <Nav.Item className="tab_item rounded-5">
+                        <Nav.Link eventKey="/hotel" className="text-left rounded-5">
+                            <span className="ikona"><FaHotel color="#159895" style={{lineHeight: "100em"}}
+                                                             size={"1.5em"} className="mx-3"/></span>
+                            <span className="ikona">Сместување</span>
+                        </Nav.Link>
+                    </Nav.Item>
+                    <Nav.Item className="tab_item">
+                        <Nav.Link eventKey="/restaurant">
+                            <span className="ikona"><MdRestaurant color="#159895" size={"1.5em"}
+                                                                  className="mx-3"/></span><
+                            span className="ikona">Ресторан</span>
+                        </Nav.Link>
+                    </Nav.Item>
+                    <Nav.Item className="tab_item rounded-5">
+                        <Nav.Link eventKey="/transport" className="text-left rounded-5"><span className="ikona"><FaTaxi
+                            color="#159895" size={"1.5em"} className="mx-3"/></span>
+                            <span className="ikona">Превоз</span>
+                        </Nav.Link>
+                    </Nav.Item>
+                </Nav>
+
+                <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
+                    <Tab.Pane eventKey="/hotel">
+                        <Container>
+                            <Tabs
+                                fill
+                                defaultActiveKey="home"
+                                id="uncontrolled-tab-example"
+                                className="mb-3"
+                            >
+                                <Tab eventKey="home" title="Активни резервации">
+                                    <ActiveHotelReservations></ActiveHotelReservations>
+                                </Tab>
+                                <Tab eventKey="profile" title="Претходни резервации">
+                                    <PastHotelReservations></PastHotelReservations>
+                                </Tab>
+                            </Tabs>
+                        </Container>
+                    </Tab.Pane>
+                    <Tab.Pane eventKey="/restaurant">
+                        <Tabs
+                            fill
+                            defaultActiveKey="home"
+                            id="uncontrolled-tab-example"
+                            className="mb-3"
+                        >
+                            <Tab eventKey="home" title="Активни резервации">
+                                <ActiveRestaurantReservations></ActiveRestaurantReservations>
+                            </Tab>
+                            <Tab eventKey="profile" title="Претходни резервации">
+                                <PastRestaurantReservations></PastRestaurantReservations>
+                            </Tab>
+                        </Tabs>
+                    </Tab.Pane>
+                    <Tab.Pane eventKey="/transport">
+                        <Tabs
+                            fill
+                            defaultActiveKey="home"
+                            id="uncontrolled-tab-example"
+                            className="mb-3"
+                        >
+                            <Tab eventKey="home" title="Активни резервации">
+                                <ActiveTransportReservations></ActiveTransportReservations>
+                            </Tab>
+                            <Tab eventKey="profile" title="Претходни резервации">
+                                <PastTransportReservations></PastTransportReservations>
+                            </Tab>
+                        </Tabs>
+                    </Tab.Pane>
+                </Tab.Content>
+            </Tab.Container>
+        </Container>
+    );
+}
+
+export default TypeSelectionTab;
